[package]
authors = ["Philippe Normand <philn@igalia.com>"]
build = "build.rs"
description = "FFI bindings to libgstvalidate-1.0"
documentation = "https://gstreamer.pages.freedesktop.org/gstreamer-rs/stable/latest/docs/gstreamer_validate_sys/"
homepage = "https://gstreamer.freedesktop.org"
keywords = ["ffi", "gstreamer", "gnome", "multimedia"]
license = "MIT"
name = "gstreamer-validate-sys"
readme = "README.md"
repository = "https://gitlab.freedesktop.org/gstreamer/gstreamer-rs"
version = "0.21.0"
edition = "2021"
rust-version = "1.57"

[package.metadata.docs.rs]
features = []

[package.metadata.system-deps.gstreamer_validate_1_0]
name = "gstreamer-validate-1.0"
version = "1.22"

[package.metadata.system-deps.gstreamer_validate_1_0.v1_24]
version = "1.23"

[lib]
name = "gstreamer_validate_sys"

[build-dependencies]
system-deps = "6"

[dependencies]
libc = "0.2"

[dependencies.glib]
package = "glib-sys"
git = "https://github.com/gtk-rs/gtk-rs-core"

[dependencies.gobject]
package = "gobject-sys"
git = "https://github.com/gtk-rs/gtk-rs-core"

[dependencies.gio]
package = "gio-sys"
git = "https://github.com/gtk-rs/gtk-rs-core"

[dependencies.gst]
package = "gstreamer-sys"
path = "../../gstreamer/sys"

[dev-dependencies]
shell-words = "1.0.0"
tempfile = "3"

[features]
v1_24 = []
